#!/bin/bash

#export TSUDO="$HOME/.package-manager/builtin-scripts/tsudo.sh"
#export INSTALLMANAGER_UI=GUI
#export INTERACTIVE=true
SCRIPTPATH="$( cd "$(dirname "$0")" >/dev/null 2>&1 ; pwd -P )"
flag=0

declare -a debs=("libboost-iostreams1.71.0_1.71.0-6ubuntu6_amd64.deb")

declare -a pkgs=("libboost-iostreams1.71.0")

length=${#debs[@]}

for (( i=0; i<${length}; i++ ));
do
	echo "Checking: ${pkgs[$i]}"
	isInstalled=`dpkg -l ${pkgs[$i]} | grep ^ii`
	if [[ $isInstalled == "" ]]; then
		"$TSUDO" apt -y install "$SCRIPTPATH/${debs[$i]}"
		status=$?
		if [ "$status" == 1 ]; then 
			echo "failed to install: ${pkgs[$i]}. Please try to manually install: $SCRIPTPATH/${debs[$i]}"
			flag=1
		fi
	else
		echo "${pkgs[$i]} is already installed"
	fi
		
done

exit $flag;
